﻿/*
    Variable Declarations
*/

:root {
    --theme-color-primary: #14558F;
    --theme-color-primary-hover: #1861ac;
    --theme-color-primary-border: #1861ac;
    --theme-color-secondary: #8b2929;
    --theme-color-secondary-hover: #b83737;
    --theme-color-secondary-border: #963e3e;
    --theme-color-tertiary: #a2958a;
    --theme-color-tertiary-hover: #8c7d73;
    --theme-color-tertiary-border: #8c7d73;
    --theme-color-bg: #f7f7f7;
    --theme-color-header-bg: #f3f7ec;
    --theme-color-white: #ffffff;
}



/* 
    Global
*/

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
   
    color: var(--theme-color-primary);
}


.card {
    background-color: #f2f2f2;
}
h1, h2, h3, h4, h5 {
   
}

.ma-btn-icon {
    margin-bottom: 3px;
}

/*
    Header
*/

.top-row {
    background-color: var(--theme-color-header-bg);
}

    .top-row .header-left-image {
        position: absolute;
        top: 10px;
        left: 3rem;
        width: 109px;
        height: 109px;
        background-image: url('ufr/imgs/header-left-img.png');
        background-size: cover;
        background-position: center;
        text-shadow: 1px 1px 1px rgba(0,0,0,0.2);
    


    }


    .top-row .header-floating-text {
        position: absolute;
        top: 5rem;
        font-family: 'Merriweather', serif;
        font-size: 30px !important;
        color: #000000c7;
        transform: translateY(-50%);
        text-align: center;
        font-weight: bold;
    }

    .top-row .header-lower-text {
        font-size: 20px !important;
    }
        .top-row {
    background-image: url('vt/imgs/header-bg.png');
    background-repeat: repeat-x;
    background-position: bottom;
    box-shadow: inset 0 -20px 10px -10px rgba(0,0,0,0.25);
}

/*
    Bootstrap Themes
*/

.btn-primary {
    background-color: var(--theme-color-primary);
    color: var(--theme-color-white);
}

    .btn-primary:hover,
    .btn-primary:focus,
    .btn-primary.active {
        background-color: var(--theme-color-primary-hover);
        border-color: var(--theme-color-primary-border);
        color: var(--theme-color-white);
    }

.btn-secondary {
    background-color: var(--theme-color-secondary);
    border-color: var(--theme-color-secondary-border);
    color: var(--theme-color-white);
}

    .btn-secondary:hover,
    .btn-secondary:focus,
    .btn-secondary.active {
        background-color: var(--theme-color-secondary-hover);
        border-color: var(--theme-color-secondary-border);
        color: var(--theme-color-white);
    }



.btn-tertiary {
    background-color: var(--theme-color-tertiary);
    border-color: var(--theme-color-tertiary-border);
    color: var(--theme-color-white);
}

    .btn-tertiary:hover,
    .btn-tertiary:focus,
    .btn-tertiary.active {
        background-color: var(--theme-color-tertiary-hover);
        border-color: var(--theme-color-tertiary-border);
        color: var(--theme-color-white);
    }

.navbar-theme {
    background-color: var(--theme-color-primary);
}

    .navbar-theme .navbar-brand,
    .navbar-theme .nav-link,
    .navbar-theme .navbar-toggler-icon {
        color: var(--theme-color-white);
    }

    .navbar-theme .navbar-toggler {
        border-color: rgba(255, 255, 255, 0.1); 
      
    }

        .navbar-theme .navbar-toggler:focus,
        .navbar-theme .navbar-toggler:active {
            outline: none; 
        }


    .navbar-theme .dropdown-menu {
        background-color: var(--theme-color-secondary);
    }

    .navbar-theme .dropdown-item {
        color: var(--theme-color-white);
    }

        .navbar-theme .dropdown-item:hover,
        .navbar-theme .dropdown-item:focus {
            background-color: #556677;
        }


.bg-theme {
    background-color: var(--theme-color-primary);
}

@media (max-width: 640.98px) {

    h1 {
        font-size: calc(1rem + .6vw) !important;
    }

}

.k-form-hint, .k-form-error {
    margin-top: 4px;
    display: flex;
    font-size: 1.0rem;
    font-style: normal;
}

    /*
    Custom
*/